How to stop rti-connext-dds-5.3.1 prompting during installation?

asked 2021-03-04 17:58:17 -0600

rubicks gravatar image

updated 2021-03-05 11:37:07 -0600

The package rti-connext-dds-5.3.1 version 5.3.1-nc.x64Linux3gcc5.4.0+2, currently available here...

http://packages.ros.org/ros2/ubuntu/p...

has a postinst mainscript that prompts for user input. I have reproduced it here:

https://paste.debian.net/1187932/

The implementation of this maintainer script violates Debian policy in that it forces user interaction even when one defines DEBIAN_FRONTEND=noninteractive and DEBCONF_NONINTERACTIVE_SEEN=true.

How should this bug be reported? Where is the source for this package? How can I work around this bug until it is fixed?

Update: here's one work-around: export RTI_NC_LICENSE_ACCEPTED=yes

References:

edit retag flag offensive close merge delete

Comments

Are you sure this is a ROS problem and not an RTI problem? RTI is pretty aggressive about licensing. It might help to contact them. I might be able to dig up a point of contact.

kscottz gravatar image kscottz  ( 2021-03-05 14:49:36 -0600 )edit

I'm not sure it's a ROS problem. I'm sure that there's a Debian binary archive violating the Debian policy currently being served from the ROS apt repository. I don't know who's responsible, but the likely suspects include the maintainers of the package and the repository.

rubicks gravatar image rubicks  ( 2021-03-05 14:53:23 -0600 )edit

Oh, and not for nothing, it's being served under the main component. Now, I understand why a repo admin would enjoy the simplicity of a single component, but a binary-only package should be served under restricted or the like.

rubicks gravatar image rubicks  ( 2021-03-05 15:28:29 -0600 )edit

@kscottz, yeah, if you wouldn't mind, would you kindly tell someone at RTI about this?

rubicks gravatar image rubicks  ( 2021-03-26 08:42:59 -0600 )edit